[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# strrscan

Find last occurrence of a character in a null-terminated string.

## Declaration

Source position: syspchh.inc line 30

`function strrscan(`
`p: pchar;`
`c: Char`
`):pchar; function strrscan(`
`p: pwidechar;`
`c: WideChar`
`):pwidechar;`

## Description

Returns a pointer to the last occurrence of the character C in the null-terminated string P. If C does not occur, returns Nil.

For an example, see StrScan.

## Errors

None.

## See also

StrScan |  | Find first occurrence of a character in a null-terminated string.
StrPos |  | Find position of one null-terminated substring in another.